### Method

# Cogl DepthState set_test_function

#### Declaration [src]

    void
    cogl_depth_state_set_test_function (
      CoglDepthState* state,
      CoglDepthTestFunction function
    )

#### Description [src]

Sets the `CoglDepthTestFunction` used to compare the depth value of an incoming fragment against the corresponding value in the current depth buffer.

By default the depth test function is `COGL_DEPTH_TEST_FUNCTION_LESS`

NB: this won’t directly affect the state of the GPU. You have to then set the state on a `CoglPipeline` using cogl_pipeline_set_depth_state().

#### Parameters

`function`

  Type: `CoglDepthTestFunction`

  The `CoglDepthTestFunction` to set.